


function T_out=pbhs_update_ghost_nodes(T_in,options,ind_gn)
% function T_out=pbhs_update_ghost_nodes(T_in,options,ind_gn)

T_out=T_in;  % copy most values -- this function only modifies the ghost nodes temperature

if options.BoundaryConditionType==1  % Dirichlet
    % fprintf('\tUdating ghost node temperatures (Dirichlet  T=%f degrees)\n',options.BoundaryTemperature);
    T_out(ind_gn)=options.BoundaryTemperature;
elseif options.BoundaryConditionType==2  % Dirichlet
    % fprintf('\tUdating ghost node temperatures (Neumann  T_inf=%f  h=%f)\n',options.T_inf,options.NeumannConvCoef);
    T_out(ind_gn)=options.BoundaryTemperature;
else
    error('Only Dirichlet boundary condition implemented now');
end














